package com.mcwl.common.enums;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.pay.domain
 * @Filename：PaymentStatus
 * @Description TODO
 * @Date：2025/1/3 17:24
 */

public enum PaymentStatus {

    PENDING("待支付"),
    COMPLETED("已支付"),
    FAILED("支付失败"),
    REFUNDED("已退款");

    private final String description;

    PaymentStatus(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    @Override
    public String toString() {
        return name() + "(" + description + ")";
    }
}
